# Uses of Class
org.eclipse.ui.keys.KeySequence

Packages that use KeySequence
Package
Description
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.

## Uses of KeySequence in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return KeySequence
Modifier and Type
Method
Description
`KeySequence`
IKeySequenceBinding.`getKeySequence()`
Deprecated.
Methods in org.eclipse.ui.commands with parameters of type KeySequence
Modifier and Type
Method
Description
`Map`
ICommandManager.`getPartialMatches(KeySequence keySequence)`
Deprecated.
`String`
ICommandManager.`getPerfectMatch(KeySequence keySequence)`
Deprecated.
`boolean`
ICommandManager.`isPartialMatch(KeySequence keySequence)`
Deprecated.
`boolean`
ICommandManager.`isPerfectMatch(KeySequence keySequence)`
Deprecated.

## Uses of KeySequence in org.eclipse.ui.keys

Methods in org.eclipse.ui.keys that return KeySequence
Modifier and Type
Method
Description
`static KeySequence`
KeySequence.`getInstance()`
Deprecated.
Gets an instance of `KeySequence`.
`static KeySequence`
KeySequence.`getInstance(String string)`
Deprecated.
Gets an instance of `KeySequence` by parsing a given a formal string representation.
`static KeySequence`
KeySequence.`getInstance(List keyStrokes)`
Deprecated.
Gets an instance of `KeySequence` given a list of key strokes.
`static KeySequence`
KeySequence.`getInstance(KeySequence newKeySequence)`
Deprecated.
Gets an instance of `KeySequence` given a new-style key sequence.
`static KeySequence`
KeySequence.`getInstance(KeySequence keySequence, KeyStroke keyStroke)`
Deprecated.
Gets an instance of `KeySequence` given a key sequence and a key stroke.
`static KeySequence`
KeySequence.`getInstance(KeyStroke keyStroke)`
Deprecated.
Gets an instance of `KeySequence` given a single key stroke.
`static KeySequence`
KeySequence.`getInstance(KeyStroke[] keyStrokes)`
Deprecated.
Gets an instance of `KeySequence` given an array of key strokes.
Methods in org.eclipse.ui.keys with parameters of type KeySequence
Modifier and Type
Method
Description
`boolean`
KeySequence.`endsWith(KeySequence keySequence, boolean equals)`
Deprecated.
Returns whether or not this key sequence ends with the given key sequence.
`String`
IKeyFormatter.`format(KeySequence keySequence)`
Deprecated.
Format the given key sequence into a string.
`static KeySequence`
KeySequence.`getInstance(KeySequence keySequence, KeyStroke keyStroke)`
Deprecated.
Gets an instance of `KeySequence` given a key sequence and a key stroke.
`boolean`
KeySequence.`startsWith(KeySequence keySequence, boolean equals)`
Deprecated.
Returns whether or not this key sequence starts with the given key sequence.